#{extends 'common/landing-base.html' /}
#{set 'title'}
Smart Report Non e-Tendering
#{/set}
<section class="component-header-top" style="background-image: url(@{'public/images/bg-blacklist.svg'})">
    <div class="ui grid">
        <div class="sixteen wide column middle aligned center aligned">
            <h2>Non E-Tendering</h2>
        </div>
    </div>
</section>
<section class="wrapper-smart-report">
    <div class="ui container">
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui divider hidden"></div>
                <div class="ui breadcrumb">
                    <a href="#{url route.core_landingcontroller_index /}" class="section">Home</a>
                    <div class="divider"> / </div>
                    <div class="active section">Smart Report Non e-Tendering</div>
                </div>
            </div>
            <div class="sixteen wide column">
                #{dashboard.report-filters report: report, url: route.smartreport_smartreportcontroller_nonetendering, filters: filters, filter: filter  /}
            </div>
        </div>
        <div class="ui grid">
            <div class="sixteen wide column">
                <div class="ui card width-full">
                    <div class="content">
                        <div class="ui grid stackable">
                            <div class="three wide column">
                                <div id="legend"></div>
                            #{if result != null}
                                #{list items: attributes, as: 'attribute'}
                                    <div class="ui divider"></div>
                                    <div class="center aligned">
                                        <div class="title-label">${labels[attribute_index-1]} ${result.last().tahun}</div>
                                        <div class="price-label">
                                            #{if filter.money}
                                            ${result.last().getNumber(attribute)?.formatCurrenciesJuta()}
                                            #{/if}
                                                #{else}
                                        ${result.last().getNumber(attribute)?.formatNumberIndonesia()}
                                        #{/else}
                                        </div>
                                    </div>
                                #{/list}
                            #{/if}
                            </div>
                            <div class="thirteen wide column">
                                #{common.line-chart chartable: chartable, id: "canvas", title: 'Smart Report Non e-Tendering', xLabel: 'Tahun', yLabel: '', money: filter.money, legend: false/}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="ui divider hidden"></div>
        <div class="ui grid">
            <div class="sixteen wide column">
                <table class="ui striped celled structured table padded comp-table-th">
                    <thead>
                    <tr>
                        <th class="center aligned">Tahun</th>
                        #{list items: labels, as: 'label'}
                        <th class="center aligned">${label}</th>
                        #{/list}
                    </tr>
                    </thead>
                    <tbody class="center aligned">
                    #{list items: result, as: 'item'}
                    <tr>
                        <td>
                            <a class="font-bold color-blue" href="@{controllers.smartreport.SmartReportController.nonETenderingDetail(filter, item?.tahun)}">
                                ${item?.tahun}
                            </a>
                        </td>
                        #{list items: attributes, as: 'attribute'}
                            <td>
                                #{if filter.money}
                                ${item?.getNumber(attribute)?.formatCurrenciesJuta()}
                                #{/if}
                                #{else}
                                ${item?.getNumber(attribute)?.formatNumberIndonesia()}
                                #{/else}
                            </td>
                        #{/list}
                    </tr>
                    #{/list}
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</section>

#{set 'moreScripts'}
    <script src="@{'/public/assets/semantic/components/dropdown.min.js'}"></script>
    <script>
        $('#filter')
                .dropdown({
                    action: 'hide',
                    onChange: function(value, text, $selectedItem) {
                        $("input[name=filter]").val($selectedItem.data('value'));
                        $("#searchForm").submit();
                    }
                });
        $('#report')
                .dropdown({
                    action: 'hide',
                    onChange: function(value, text, $selectedItem) {
                        var report = $selectedItem.data('value');
                        window.location.href = "@{smartreport.SmartReportController.index()}?report="+ report;
                    }
                });
    </script>
    #{get 'chartScripts' /}
#{/set}
